Skip to main content

PATCH /api/v1/public/campaigns//steps//

Updates a campaign step’s properties including A/B testing variants. Auth: X-API-Key

Path Parameters

  • id (integer, required): Campaign ID
  • step_id (integer, required): Step ID

Request Body

Flow Management Fields

  • parent_step_id (integer, optional): ID of the step that comes before this one
  • parent_condition_id (integer, optional): ID of the condition that comes before this one
  • child_step_id (integer, optional): ID of the step that comes after this one
  • child_condition_id (integer, optional): ID of the condition that comes after this one
Note: You can only specify one parent (either parent_step_id OR parent_condition_id) and one child (either child_step_id OR child_condition_id).

Available Variables

You can use these variables in message templates and subject lines with double brackets {{}}:
  • {{first_name}} - Prospect’s first name
  • {{last_name}} - Prospect’s last name
  • {{job_title}} - Job title
  • {{company_name}} - Company name
  • {{location}} - Location
A/B Testing:
  • subject_line_b - Alternative subject line for A/B testing
  • message_template_b - Alternative message template for A/B testing

Response

Example